/* pinonkaytto.c */
/* SJ 080598 */

#include <stdio.h>
#include "pino.h"

int main()
{
  int luku = 1;
  pino omapino;

  omapino = pino_luo();

  /* luetaan käyttäjältä lukuja 0:an asti,
	 pistetään luvut pinoon */

  printf("Anna lukuja, 0 lopuksi: ");
  while(luku) {
	  scanf("%d", &luku);
	  pino_push(&omapino, luku);
  }

  /* tulostetaan luvut käänteisessä
	 järjestyksessä */

  printf("Luvut takaperin olivat: \n");
  while(pino_onko_alkioita(&omapino))
	  printf(" %d", pino_pop(&omapino));

  putchar('\n');

  exit(0);

} /* main() */

